<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('news', function (Blueprint $table) {

            $table->id();
            $table->string('title');
            $table->string('slug')->unique();
            $table->foreignId('category_id')->nullable()->constrained('categories')->nullOnDelete();
            $table->longText('description');
            $table->enum('state', [ 'draft', 'pending', 'published', 'locked', 'rejected', 'hidden' ] )->default('draft');

            $table->foreignId('entry_id')->nullable()->constrained('entries')->nullOnDelete();
            $table->string('relevant_link', 500 )->nullable();
            $table->string('youtube_link', 500 )->nullable();

            $table->unsignedBigInteger( 'user_id' ); // xf_user_id
            $table->unsignedBigInteger( 'comments_thread_id' )->nullable(); // xf_thread

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('news');
    }
};
